# $Revision: 1.5 $, $Date: 2004/12/26 17:40:46 $

%define		module	PyPAM

Summary:	PAM bindings for Python
Summary(pl):	Wizania pythona do obsugi PAM
Name:		python-%{module}
Version:	0.4.2
Release:	2
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://www.pangalactic.org/PyPAM/%{module}-%{version}.tar.gz
# Source0-md5:	7e8c283cbd6e85e0bbff8e265a3db9e5
URL:		http://www.pangalactic.org/PyPAM/
BuildRequires:	pam-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM (Pluggable Authentication Module) bindings for Python.

%description -l pl
Wizania PAM dla pythona.

%prep
%setup -q -n %{module}-%{version}
sed -i -e 's#python1.5/Python.h#python%{py_ver}/Python.h#g' PAMmodule.c

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	pyexecdir=%{py_sitedir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/PAMmodule.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyPAM.spec,v $
Revision 1.5  2004/12/26 17:40:46  saq
- release 2 for rebuild with python 2.4

Revision 1.4  2004/12/22 20:45:36  qboosh
- use py_ver macro instead of hardcoded 2.3

Revision 1.3  2004/12/20 20:23:07  qboosh
- spec is for python 2.3 ATM...

Revision 1.2  2004/12/17 07:00:47  darekr
- BR sed 4.0

Revision 1.1  2004/12/17 01:54:25  undefine
- initial version
